#OverflowTank

The liquid tank can accept the liquid sent by the conveyor belt infinitely, even if it is full already. The liquid overflowed will disappear. Different liquids can be independently set to allow unlimited input or not. Default liquids: Hydrogen and refined oil. 

If you use multi-layer tanks, you need to assure that all the layers had already trun on the input switch (that is the default condition after you built any tanks) to allow overflow.

!!!Since the game version update is updated on January 20, 2022, the following additional features have not been tested!!!

If you want to prevent some of the tanks overflowing *IN GAME*, you need to use the *multi-level* storage tanks, and trun off the input switch of *a selected layer except the bottom layer* tank (Top layer recommended). In this case, the tank below will normally accpet the liquid but *will not overflow any more*. The tank above the selected layer will not accept any liquid.

### Installation

1. Install BepInEx.
2. Drag OverflowTank.dll into "Dyson Sphere Program/BepInEx/plugins/"

###ChangeLog

v1.1.3: Update for game version 0.9.24.11182. (2022-1-20)

v1.1.2: Now you can prevent the overflow *in game*, while control the multi-level tanks' capacity more flexibly.

v1.1.1: Bug fixed.

v1.1.0: Update for game version 0.6.17.5827.

#可溢出储油罐

现在，储液罐可以无限接收传送带送入的液体，即使已经处于被装满的状态。溢出的液体会消失。不同的液体可以独立设置是否允许无限输入。默认只无限接收氢气和精炼油。

当你使用多层储液罐时，请保证所有层的输入开关均被打开，这才能允许所选液体溢出。

!!!由于2022年1月20日游戏版本更新，mod更新后，下面的附加功能尚未经过测试!!!

如果你想在*游戏里*让有的储液罐不再溢出，你需要用*多层*储液罐，然后关闭*某一层*储液罐的输入开关（推荐关闭顶层）。这样，下层储液罐还能正常接受液体输入，但不再会溢出。关闭层和其上层的储液罐则不接受输入了。

### 安装

1. 安装 BepInEx框架. 
2. 将OverflowTank.dll放入 "Dyson Sphere Program/BepInEx/plugins/"文件夹内

###更新

v1.1.3: 更新以适配游戏版本0.9.24.11182（游戏更新于2022-1-20）

v1.1.2: 现在你可以更灵活地在游戏里阻止溢出，通过配置多层储液罐。

v1.1.1: 修复一个其他问题。

v1.1.0: 适配游戏版本0.6.17.5827.
